%global srcname alsa-ucm-conf-asahi
#global date 20231209
#global commit 334f21ccd388dbe292338b2942950dfeadfb3c83
%{?commit:%global shortcommit %(c=%{commit}; echo ${c:0:7})}

Name:           alsa-ucm-asahi
Version:        v8
Release:        1.20250401222838542441.master.1.geb39ffa%{?dist}
Summary:        ALSA Use Case Manager configuration (and topologies) for Apple silicon devices
License:        BSD-3-Clause

URL:            https://github.com/AsahiLinux/alsa-ucm-conf-asahi
%if %{defined commit}
Source:         alsa-ucm-conf-asahi-v8.tar.gz
%else
Source:         %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
%endif

BuildArch:      noarch

Requires:       alsa-ucm >= 1.2.7.2

%description
The ALSA Use Case Manager configuration (and topologies) for Apple silicon devices.

%prep
%if %{defined commit}
%autosetup -n alsa-ucm-conf-asahi-v8
%else
%autosetup -n %{srcname}-%{version}
%endif

%install
install -dm 755 %{buildroot}%{_datadir}/alsa/ucm2/conf.d/
cp -a ucm2/conf.d/aop_audio/ %{buildroot}%{_datadir}/alsa/ucm2/conf.d/
cp -a ucm2/conf.d/macaudio/ %{buildroot}%{_datadir}/alsa/ucm2/conf.d/

%files
%license LICENSE.asahi
%doc README.asahi
%{_datadir}/alsa/ucm2/conf.d/aop_audio/
%{_datadir}/alsa/ucm2/conf.d/macaudio/

%changelog
* Tue Apr 01 2025 Packit <hello@packit.dev> - v8-1.20250401222838542441.master.1.geb39ffa
- LICENSE.asahi: fix copyright (James Calligeros)
